net.corda.core.contracts

## Class TransactionVerificationException.TransactionMissingEncumbranceException

- Enclosing class:
    TransactionVerificationException

      public static class TransactionVerificationException.TransactionMissingEncumbranceException

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionMissingEncumbranceException(LedgerTransaction tx, int missing, TransactionVerificationException.Direction inOut)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionVerificationException.Direction` | `getInOut()`
    `java.lang.String` | `getMessage()`
    `int` | `getMissing()`

- - ### Constructor Detail

    - #### TransactionMissingEncumbranceException

          public TransactionMissingEncumbranceException(LedgerTransaction tx,
                                                        int missing,
                                                        TransactionVerificationException.Direction inOut)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

    - #### getMissing

          public int getMissing()

    - #### getInOut

          public TransactionVerificationException.Direction getInOut()